Delete System Level Dynamic Entity Cascade
DELETE /obp/v7.0.0/management/system-dynamic-entities/cascade/DYNAMIC_ENTITY_ID
OBPv6.0.0-deleteSystemDynamicEntityCascade Roles: CanDeleteCascadeDynamicEntityDefinition(per bank) Dynamic-Entity-ManageAPI
Delete a DynamicEntity specified by DYNAMIC_ENTITY_ID and all its data records.
This endpoint performs a cascade delete:
- Automatically backs up the entity definition and all data records to a ZZ_BAK_ prefixed entity (e.g. my_entity is backed up to ZZ_BAK_my_entity). If a previous ZZ_BAK_ backup exists, it is overwritten.
- Deletes all data records associated with the dynamic entity
- Deletes the dynamic entity definition itself
Note: Entities whose name already starts with ZZ_BAK_ are not backed up again (to avoid infinite backup chains).
This operation is only allowed for non-personal entities (hasPersonalEntity=false). For personal entities (hasPersonalEntity=true), you must delete the records and definition separately.
For more information see here/
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.